Skip to main content
`Ctrl`+`K`

# TSBasicSymplecticType

String with the name of a basic symplectic integration `TSBASICSYMPLECTIC` type

## Synopsis

    #include <petscts.h>
    typedef const char *TSBasicSymplecticType;
    #define TSBASICSYMPLECTICSIEULER   "1"
    #define TSBASICSYMPLECTICVELVERLET "2"
    #define TSBASICSYMPLECTIC3         "3"
    #define TSBASICSYMPLECTIC4         "4"

## See Also

TS: Scalable ODE and DAE Solvers, `TSBasicSymplecticSetType()`, `TS`, `TSBASICSYMPLECTIC`, `TSBasicSymplecticRegister()`

## Level

beginner

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages